LinuxQMISDK: SMSEventInfo_s Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
SMSEventInfo_s Struct Reference

## Data Fields
BYTE | smsEventType
SMSMTMessageInfo * | pMTMessageInfo
SMSTransferRouteMTMessageInfo * | pTransferRouteMTMessageInfo
SMSMessageModeInfo * | pMessageModeInfo
SMSEtwsMessageInfo * | pEtwsMessageInfo
SMSEtwsPlmnInfo * | pEtwsPlmnInfo
SMSCAddressInfo * | pSMSCAddressInfo
SMSOnIMSInfo * | pSMSOnIMSInfo

## Detailed Description

This structure will hold the information related to received SMS events

Parameters

  smsEventType | Type of the SMS events that are received. This is a bit map of SMSEventType. Only the parameters (which follows) related to the events received would be filled, and the rest of the parameters would be NULL
  pMTMessageInfo | pointer to the SMSMTMessageInfo structure NULL, if this event is not present in the smsEventType parameter
  pTransferRouteMTMessageInfo | pointer to the SMSTransferRouteMTMessageInfo structure . NULL, if this event is not present in the smsEventType parameter
  pMessageModeInfo | pointer to the SMSMessageModeInfo structure NULL, if this event is not present in the smsEventType parameter
  pEtwsMessageInfo | pointer to the SMSEtwsMessageInfo structure NULL, if this event is not present in the smsEventType parameter
  pEtwsPlmnInfo | pointer to the SMSEtwsPlmnInfo structure NULL, if this event is not present in the smsEventType parameter
  pSMSCAddressInfo | pointer to the SMSCAddressInfo structure NULL, if this event is not present in the smsEventType parameter
  pSMSOnIMSInfo | pointer to the SMSOnIMSInfo structure NULL, if this event is not present in the smsEventType parameter Note: None

## Field Documentation

SMSEtwsMessageInfo* SMSEventInfo_s::pEtwsMessageInfo

SMSEtwsPlmnInfo* SMSEventInfo_s::pEtwsPlmnInfo

SMSMessageModeInfo* SMSEventInfo_s::pMessageModeInfo

SMSMTMessageInfo* SMSEventInfo_s::pMTMessageInfo

SMSCAddressInfo* SMSEventInfo_s::pSMSCAddressInfo

SMSOnIMSInfo* SMSEventInfo_s::pSMSOnIMSInfo

SMSTransferRouteMTMessageInfo* SMSEventInfo_s::pTransferRouteMTMessageInfo

BYTE SMSEventInfo_s::smsEventType